
From: Andi Kleen <ak@muc.de>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/pci-nommu.c   |    2 +-
 25-akpm/include/asm-x86_64/dma-mapping.h |    2 +-
 25-akpm/include/asm-x86_64/proto.h       |    1 -
 3 files changed, 2 insertions(+), 3 deletions(-)

diff -puN arch/x86_64/kernel/pci-nommu.c~fix-compilation-without-config_gart_iommu-on-x86-64 arch/x86_64/kernel/pci-nommu.c
--- 25/arch/x86_64/kernel/pci-nommu.c~fix-compilation-without-config_gart_iommu-on-x86-64	Mon Aug  2 16:24:36 2004
+++ 25-akpm/arch/x86_64/kernel/pci-nommu.c	Mon Aug  2 16:24:36 2004
@@ -46,7 +46,7 @@ void *dma_alloc_coherent(struct device *
 }
 EXPORT_SYMBOL(dma_alloc_coherent);
 
-void dme_free_coherent(struct device *hwdev, size_t size,
+void dma_free_coherent(struct device *hwdev, size_t size,
 			 void *vaddr, dma_addr_t dma_handle)
 {
 	free_pages((unsigned long)vaddr, get_order(size));
diff -puN include/asm-x86_64/dma-mapping.h~fix-compilation-without-config_gart_iommu-on-x86-64 include/asm-x86_64/dma-mapping.h
--- 25/include/asm-x86_64/dma-mapping.h~fix-compilation-without-config_gart_iommu-on-x86-64	Mon Aug  2 16:24:36 2004
+++ 25-akpm/include/asm-x86_64/dma-mapping.h	Mon Aug  2 16:24:36 2004
@@ -40,7 +40,7 @@ static inline dma_addr_t dma_map_single(
 		out_of_line_bug();
 	addr = virt_to_bus(ptr);
 
-	if ((addr+size) & ~hwdev->dma_mask)
+	if ((addr+size) & ~*hwdev->dma_mask)
 		out_of_line_bug();
 	return addr;
 }
diff -puN include/asm-x86_64/proto.h~fix-compilation-without-config_gart_iommu-on-x86-64 include/asm-x86_64/proto.h
--- 25/include/asm-x86_64/proto.h~fix-compilation-without-config_gart_iommu-on-x86-64	Mon Aug  2 16:24:36 2004
+++ 25-akpm/include/asm-x86_64/proto.h	Mon Aug  2 16:24:36 2004
@@ -82,7 +82,6 @@ extern int unhandled_signal(struct task_
 
 extern void select_idle_routine(const struct cpuinfo_x86 *c);
 extern void swiotlb_init(void);
-extern int swiotlb;
 
 extern unsigned long max_mapnr;
 extern unsigned long end_pfn; 
_
